<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.yeejoin.amos.boot.module.jxiop.biz.mapper2.IdxBizFanPointVarCorrelationMapper">
    <update id="updatePointChoose">
        update idx_biz_fan_point_var_correlation
        <set>
            <if test="processPointIds == null || processPointIds.size() == 0">
                MATCH_PROCESS_PONIT = null
            </if>
            <if test="processPointIds != null and processPointIds.size() > 0">
                MATCH_PROCESS_PONIT = '匹配'
            </if>
        </set>
        WHERE ANALYSIS_GATEWAY_ID = #{gatewayId}
        and ANALYSIS_POINT_ID = #{analysePointId}
        <if test="processPointIds != null and processPointIds.size() > 0">
            and    PROCESS_POINT_ID in
            <foreach collection="processPointIds" item="item" separator="," open="(" close=")">
                #{item}
            </foreach>
        </if>
    </update>
</mapper>
